/* import Poppins font */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap');


body {
    margin: 0 auto;
    font-family: 'Poppins', sans-serif;
    
    display: flex;
    flex-direction: column;
}

.transition {
    height: 110px;
    padding: 0;
    margin: 0;

    display: flex;
    align-items: flex-start;
}

.transition-mobile {
    padding: 0;
    margin: 0;
}

#header-to-content {
    padding: 0;
    margin: 0;
    background-color: #78829D;
}

#section1-to-section2 {
    background-image: linear-gradient(#78829D, #fff);
}

#section2-to-section3 {
    background-image: linear-gradient(#fff, #101218);
}

#header-utama {
    background-color: #ffffff;
    width: 100%;

    padding: 24px 0px;
    box-shadow: 0 17px 20px rgba(0, 0, 0, 0.25);
    
    z-index: 10;
    position: sticky;
    top: 0;

    display: flex;
    justify-content: center;
}

#content-header-utama {
    /* box-sizing: border-box; */
    max-width: 1920px;
    width: 100%;
    /* margin: 0 auto; */
    /* margin: 0; */
    
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    
}

#content-header-utama div a {
    /* font-size: 50px; */
    font-size: 37px;
    font-weight: 700;
    text-decoration: none;
    color: black;
}

#content-header-utama nav {
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    gap: 0 3rem;
}

#content-header-utama nav ul {
    list-style-type: none;
    padding-left: 40px;
    
    display: flex;
    flex-flow: row nowrap;
    gap: 1rem 2rem;
}

#content-header-utama nav ul li {
    /* font-size: 27px; */
    font-size: 20px;
    text-align: center;
    /* align-items: center; */
}

#content-header-utama nav ul li a {
    color: #000;
    text-decoration: none;
    font-weight: 600;
    /* align-items: center; */
}

#content-header-utama nav div {
    display: flex;
    align-items: center;
}

#content-header-utama nav div img {
    border-radius: 999px;
    height: 50px;
}

#content {
    display: flex;
    flex-direction: column;
}

.section {
    height: 1000px;
    margin: 0;
    padding: 0;
    
    display: flex;
    justify-content: center;
}

.section .isi-section {
    max-width: 1920px;
    width: 100%;
    height: 100%;

    display: flex;
    justify-content: center;
}

#home {
    background-color: #78829D;
}

#home .isi-section {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    /* justify-content: space-around; */
    gap: 0 5rem;
}

#home .deskripsi {
    /* padding-left: 100px; */
    margin: 0 auto;

    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

#home .deskripsi h1 {
    font-family: 'Poppins', sans-serif;
    font-weight: 700;
    color: #fff;
    font-size: 70px;
    
    margin: 0;
}

#home .deskripsi p {
    font-family: 'Poppins', sans-serif;
    font-weight: 700;
    color: #fff;
    font-size: 30px;
    
    margin: 0;
}

#home aside img{
    /* width: 80%; */
    width: 696px;
}

#about-me {
    height: 1861px;
    background-color: #fff;
}

#about-me .isi-section {
    display: flex;
    flex-direction: column;
}

#about-me .judul-section {
    /* height: 15.9%; */
    height: 139px;
    
    display: flex;
    align-items: flex-end;
    justify-content: center;
}

#about-me .judul-section h2 {
    font-size: 55px;
    font-family: "Poppins", sans-serif;
    font-weight: 700;

    margin: 0;
    padding: 0;
}

#about-me .content-section {
    /* height: 84.1%; */
    height: 861px;
    
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 0 5rem;
}

#about-me .content-section_1 {
    padding: 0;
}

#about-me .content-section_2 {
    padding: 0;
    flex-direction: row-reverse;
}

#about-me aside img{
    /* width: 80%; */
    width: 696px;
}

#about-me .content-section .deskripsi {
    width: 560px;
    margin: auto;
    
    display: flex;
    flex-direction: column;
    /* flex-grow: 1; */
}

#about-me .content-section .deskripsi p {
    font-size: 30px;
    font-weight: 400;
    font-family: 'Poppins', sans-serif;
    color: #000;
    
    margin: 0;
}

#about-me .content-section .deskripsi_2 p {
    text-align: right;
}

#about-me .content-section .deskripsi .nama-bold {
    font-weight: 700;
}

#contact-me {
    background-color: #101218;
    height: 600px;
}

#contact-me .isi-section{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem 0;
}

#contact-me h1 {
    font-family: 'Poppins', sans-serif;
    font-weight: 700;
    color: #fff;
    font-size: 70px;
    
    margin: 0;
}

#contact-me #group-logo-socmed {
    margin: 0;

    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0 2rem;
}

#contact-me #group-logo-socmed div {
    width: 65px;
    height: 65px;
    margin: 0;
    padding: 4px 8px;

    display: flex;
    align-items: center;
    justify-content: center;
}

#contact-me #group-logo-socmed div:hover {
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.25);
}
 
#contact-me #group-logo-socmed .gmail {
    width: 55px;
}

#contact-me #group-logo-socmed .facebook {
    width: 61px;
}

#contact-me #group-logo-socmed .instagram {
    width: 65px;
}

#contact-me #group-logo-socmed .linkedin {
    width: 65px;
}

footer {
    margin: 0;
    padding: 0;
    height: 124px;

    background-color: #11182A;

    display: flex;
    align-items: center;
    justify-content: center;
}

footer .footer-content {
    max-width: 1920px;
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;

    display: flex;
    align-items: center;
    justify-content: right;
}

footer p {
    font-family: 'Poppins', sans-serif;
    font-size: 20px;
    font-weight: 400;
    color: #fff;

    margin: 0;
    padding-right: 50px;
}

/* width =< 1440px */
@media screen and (max-width: 1440px) {
    #header-utama {
        padding: 24px 0px;
    }

    #content-header-utama {
        max-width: 1440px;
        width: 100%;
    }
    
    #content-header-utama div a {
        font-size: 37px;
    }

    #content-header-utama nav ul li {
        font-size: 20px;
    }

    #content-header-utama nav div img {
        height: 50px;
    }

    .section {
        height: 800px;
    }

    .section .isi-section {
        max-width: 1440px;
    }

    #home .isi-section {
        gap: 0 1rem;
    }
    
    #home .deskripsi {
        padding-left: 40px;
    }
    
    #home aside img{
        width: 540px;
    }
    
    #about-me .judul-section h2 {
        font-size: 45px;
    }

    #about-me .content-section {
        gap: 0 1rem;
    }

    #about-me aside img{
        width: 540px;
    }

    #contact-me {
        height: 700px;
    }
}

/* width =< 1240px */
@media screen and (max-width: 1240px) {
    .section {
        height: 720px;
    }

    .section .isi-section {
        max-width: 1240px;
    }
    
    #home .deskripsi h1 {
        font-size: 58px;
    }
    
    #home .deskripsi p {
        font-size: 25px;
    }
    
    #home aside img{
        /* width: 80%; */
        width: 480px;
    }
    
    #about-me {
        height: 1312px;
        background-color: #fff;
    }

    #about-me .judul-section {
        /* height: 15.9%; */
        height: 112px;
    }

    #about-me .content-section {
        /* height: 84.1%; */
        height: 600px;

        gap: 0 2rem;
    }

    #about-me .content-section .deskripsi_1 {
        padding-right: 25px;
    }
    
    #about-me .content-section .deskripsi_2 {
        padding-left: 25px;
    }
        
    #about-me aside img{
        /* width: 80%; */
        width: 480px;
    }
    
    #about-me .content-section .deskripsi p {
        font-size: 25px;
    }

    #contact-me h1 {
        font-size: 58px;
    }
}

/* width =< 1024px */
@media screen and (max-width: 1024px) {
    .section .isi-section {
        max-width: 1024px;
    }

    .transition {
        height: 190px;

        align-items: center;
    }

    #header-utama {
        padding: 18px 0;
    }

    #content-header-utama {
        max-width: 1024px;
        width: 100%;

        justify-content: space-evenly;
    }

    #content-header-utama div a {
        /* font-family: 'Poppins', sans-serif; */
        font-size: 32px;
    }

    #content-header-utama nav ul li {
        font-size: 18px;
    }

    #content-header-utama nav div img {
        height: 46px;
    }

    #home .deskripsi {
        margin: 0 auto;
        padding-bottom: 40px;

        align-items: flex-start;
    }

    #home .deskripsi h1 {
        margin: auto 0 10px 0;
    }

    #home aside img{
        height: 478px;
        max-width: 400px;
        width: 100%;

        object-fit: cover;
        object-position: 40% 0%;
    }

    #about-me .content-section {
        gap: 0 3rem;
    }

    #about-me aside img {
        width: 420px;
    }

    #about-me .content-section .deskripsi_1 {
        padding-right: 40px;
    }
    
    #about-me .content-section .deskripsi_2 {
        padding-left: 40px;
    }

    #about-me .content-section .deskripsi p {
        font-size: 22px;
    }

    #contact-me h1 {
        font-size: 47px;
    }
}

/* width =< 920px */
@media screen and (max-width: 920px) {
    #content-header-utama {
        max-width: 920px;
        width: 100%;
    }

    #content-header-utama nav {
        gap: 0 1.5rem;
    }

    #content-header-utama nav ul {
        gap: 1rem 1.2rem;
    }

    .section .isi-section {
        max-width: 920px;
    }
    
    #home .deskripsi {
        margin: 0;
    }

    #home aside img{
        height: 478px;
        max-width: 300px;
        width: 100%;

        object-fit: cover;
        object-position: 40% 0%;
    }

    footer p {
        font-size: 18px;
        padding-right: 40px;
    }
}

/* width =< 840px */
@media screen and (max-width: 840px) {
    #content-header-utama {
        max-width: 840px;
        width: 100%;
    }

    #content-header-utama nav ul {
        gap: 1rem 1rem;
    }

    .section .isi-section {
        max-width: 840px;
    }

    #home .deskripsi {
        position: relative;
        z-index: 2;
    }

    #home aside img{
        height: 478px;
        max-width: 300px;
        width: 100%;

        object-fit: cover;
        object-position: 40% 0%;
    }
}

/* width =< 720px */
@media screen and (max-width: 720px) {
    .transition {
        height: 270px;

        align-items: center;
    }

    #header-utama {
        padding: 18px 0 10px 0;
    }

    #content-header-utama {
        max-width: 720px;
        width: 100%;

        flex-direction: column;
        justify-content: center;
    }

    #content-header-utama nav ul {
        padding-left: 30px;
    }

    .section .isi-section {
        max-width: 720px;
    }

    #home .deskripsi {
        max-width: 300px;
    }
    
    #home .deskripsi h1 {
        font-size: 54px;
    }
    
    #home .deskripsi p {
        font-size: 20px;
    }

    #about-me {
        height: 1112px;
    }

    #about-me .judul-section {
        height: 122px;
        padding-top: 30px;

        align-items: center;
    }

    #about-me .content-section {
        height: 480px;

        justify-content: center;
    }

    #about-me aside img {
        /* max-width: 420px; */
        /* min-width: 340px; */
        /* width: 100%; */
        /* height: 100%; */

        height: 420px;
        max-width: 420px;
        min-width: 270px;
        width: 100%;

        object-fit: cover;
        object-position: 35% 0%;
    }

    #about-me .content-section .deskripsi{
        max-width: 300px;
        /* min-width: 191px; */

        /* width: 100%; */
        /* height: 100%; */
    }

    #about-me .content-section .deskripsi p {
        font-size: 19px;
    }

    #contact-me h1{
        font-size: 40px;
    }

    #contact-me #group-logo-socmed {
        gap: 0 1rem;
    }

    #contact-me #group-logo-socmed div {
        width: 55px;
        height: 55px;
        padding: 3px 6px;
    }

    #contact-me #group-logo-socmed .gmail{
        width: 45px;
    }
    #contact-me #group-logo-socmed .facebook{
        width: 49px;
    }
    #contact-me #group-logo-socmed .instagram{
        width: 53px;
    }
    #contact-me #group-logo-socmed .linkedin{
        width: 53px;
    }

    footer p {
        font-size: 16px;
        padding-right: 20px;
    }
}

/* width =< 670px */
@media screen and (max-width: 670px) {
    #about-me aside img {
        height: 380px;
    }
}

/* width =< 600px */
@media screen and (max-width: 600px) {
    #home aside img{
        height: 430px;
        max-width: 250px;
        width: 100%;

        object-fit: cover;
        object-position: 45% 0%;
    }

    #about-me aside img {
        height: 350px;
        min-width: 240px;
    }
    
    #home .deskripsi {
        max-width: 270px;
    }

    #home .deskripsi h1 {
        font-size: 44px;
    }
    
    #home .deskripsi p {
        font-size: 19px;
    }

    #contact-me h1 {
        font-size: 35px;
    }
}

/* width =< 550px */
@media screen and (max-width: 550px) {
    .section {
        box-sizing: border-box;
        padding: 0 20px;
    }

    #content-header-utama {
        max-width: 550px;
    }

    #content-header-utama nav ul {
        padding-left: 30px;
    }

    .section .isi-section {
        max-width: 550px;
    }

    #home .isi-section {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 2rem 0;
    }

    #home .deskripsi {
        max-width: 400px;

        padding-left: 0;
        /* padding-bottom: 40px; */
        padding: 0;
        margin: 0;
        
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
        
    #home aside {
        box-sizing: border-box;
        max-width: 460px;
        /* padding: 0 20px; */
        /* margin: 0 20px; */
        width: 100%;
        max-height: 350px;
        min-height: 0;
        /* padding: 10px; */
        box-shadow: 0 0 15px rgba(0, 0, 0, 0.35);

        /* position: relative; */

        order: -1;

        display: flex;
        flex-grow: 1;
        justify-content: center;
    }

    #home aside img {
        width: 100%;
        height: 100%;

        max-width: 550px;
        min-width: none;

        object-fit: cover;
        object-position: 100% 0%;
    }

    #about-me {
        height: 1312px;
    }
    
    #about-me .isi-section {
        justify-content: flex-start;
    }

    #about-me .judul-section {
        height: 162px;
        padding-top: 0px;

        align-items: center;
    }

    #about-me .content-section {
        height: 500px;

        flex-direction: column;
        align-items: center;
        justify-content: flex-start;
        gap: 0;
    }

    #about-me .content-section .deskripsi {
        margin: 0;
    }

    #about-me .content-section .deskripsi_1 {
        padding: 0;
    }
    
    #about-me .content-section .deskripsi_2 {
        padding: 0;
    }

    #about-me aside img {
        height: 320px;
        /* min-width: 0; */

        /* object-fit: cover; */
        /* object-position: initial; */
    }

    #contact-me h1 {
        text-align: center;
    }
    
    footer .footer-content {
        max-width: 550px;
    }

    footer p {
        font-size: 14px;
        text-align: right;
        padding: 0 20px;
    }
}

/* width =< 510px */
@media screen and (max-width: 510px) {
    #contact-me #group-logo-socmed {
        gap: 0 0.2rem;
    }    
}

/* width =< 385px */
@media screen and (max-width: 385px) {
    #content-header-utama {
        box-sizing: border-box;
    }

    #content-header-utama nav {
        box-sizing: border-box;
        padding: 0 20px;
        text-align: center;

        gap: 0 1rem;
    }

    #content-header-utama nav ul {
        padding-left: 0;
        flex-flow: row wrap;
    }

    #home aside img {
        object-position: 80% 0%;
    }
    
    #about-me aside {
        box-sizing: border-box;
        /* width: 100%; */
    }
    
    #about-me aside img {
        min-width: 0;
    }

    #about-me .content-section .deskripsi {
        box-sizing: border-box;
        width: 100%;
    }

    #contact-me #group-logo-socmed {
        flex-wrap: wrap;
        justify-content: center;
        gap: .4rem .2rem;
    }
}

/* width =< 382px */
@media screen and (max-width: 382px) {
    .transition {
        height: 356px;
    }    

    footer p {
        padding-right: 13px;
    }
}

/* width =< 274px */
@media screen and (max-width: 274px) {
    #about-me .content-section_2 {
        padding-top: 20px;
    }    
}

/* width =< 260px */
@media screen and (max-width: 260px) {
    .transition {
        height: 442px;
    } 

    #content-header-utama div a {
        font-size: 28px;
    }

    #home .deskripsi h1{
        font-size: 38px;
    }

    #home aside img {
        object-position: 65% 0%;
    }
}

